### Constructor

# Gimp ColorProfile new_from_lcms_profile

#### Declaration [src]

    GimpColorProfile*
    gimp_color_profile_new_from_lcms_profile (
      gpointer lcms_profile,
      GError** error
    )

#### Description [src]

This function creates a GimpColorProfile from a cmsHPROFILE. On error, `NULL` is returned and `error` is set. The passed `lcms_profile` pointer is not retained by the created `GimpColorProfile`.

Available since: | 2.10

#### Parameters

`lcms_profile` | `gpointer`
| An LCMS cmsHPROFILE pointer.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GimpColorProfile`
| The `GimpColorProfile`, or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.